<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/leftGuideLine"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent=".05" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/rightGuideLine"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent=".95" />

        <include
            android:id="@+id/toolbar"
            layout="@layout/include_modern_toolbar" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="start|center"
            android:layout_marginTop="4dp"
            android:fontFamily="@font/inter_bold"
            android:gravity="start|center"
            android:text="@string/new_password"
            android:textColor="@color/black"
            android:textSize="34sp"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
            app:layout_constraintTop_toBottomOf="@+id/toolbar" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/onboardingWelcomeBack"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="32dp"
            android:padding="8dp"
            android:text="@string/new_password_description"
            android:fontFamily="@font/inter_regular"
            android:gravity="start|center"
            android:textColor="@color/black"
            android:textSize="17sp"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
            app:layout_constraintTop_toBottomOf="@+id/title"
             />

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/etPasswordLayout"
            style="@style/BaseInputLayout"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="28dp"
            android:hint="@string/password"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
            app:layout_constraintTop_toBottomOf="@+id/onboardingWelcomeBack"
            app:passwordToggleDrawable="@drawable/password_toggle"
            app:passwordToggleEnabled="true">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/etPassword"
                style="@style/BaseEditText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:fontFamily="@font/inter_regular"
                android:imeOptions="actionDone"
                android:inputType="textPassword"
                android:letterSpacing=".5"
                android:maxLines="1"
                android:nextFocusDown="@id/etMobile"
                android:textColor="@color/light_slate_gray"
                android:textSize="17sp" />

            <requestFocus />

        </com.google.android.material.textfield.TextInputLayout>

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/btnContinue"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="32dp"
            android:layout_marginBottom="16dp"
            android:alpha=".3"
            android:background="@drawable/btn_rounded_gradiant"
            android:enabled="false"
            android:fontFamily="@font/inter_medium"
            android:gravity="center"
            android:text="@string/continue_string"
            android:textAllCaps="true"
            android:textColor="@color/white"
            android:textSize="16sp"
            app:layout_constraintEnd_toStartOf="@+id/rightGuideLine"
            app:layout_constraintStart_toStartOf="@+id/leftGuideLine"
            app:layout_constraintTop_toBottomOf="@+id/etPasswordLayout" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>